diff --git a/src/logging.c b/src/logging.c
index 03992b5..dd01993 100644
--- a/src/logging.c
+++ b/src/logging.c
@@ -715,31 +725,30 @@ void protolog_sendprintln(const int type, void* msg, const int len,
  * @param ctlSocket socket over which message has been exchanged
  * */
 void protolog_rcvprintln(const int type, void* msg, const int len,
-		const int processid, const int ctlSocket) {
-	char *otherDir;
-	if (!enableprotologging) {
-		log_println(5, "Protocol logging is not enabled");
-		return;
-	}
-	otherDir = get_otherdirndesc();
-	protolog_println(otherDir, type, msg, len, processid, ctlSocket);
+                         const int processid, const int ctlSocket) {
+  char *otherDir;
+  if (!enableprotologging) {
+    log_println(5, "Protocol logging is not enabled");
+    return;
+  }
+  otherDir = get_otherdirndesc();
+  protolog_println(otherDir, type, msg, len, processid, ctlSocket);
 }
 
 /**
  * Set the timestamp to actual time.
  */
 void set_timestamp() {
-	struct timeval tv;
-
-	gettimeofday(&tv, NULL);
-	timestamp = tv.tv_sec;
-	utimestamp = tv.tv_usec;
+  struct timeval tv;
 
-	/*  Changed function to use gettimeofday() need usec value for ISO8601 file names
-	 *  RAC 5/6/09
-	 *  timestamp = time(NULL);
-	 */
+  gettimeofday(&tv, NULL);
+  timestamp = tv.tv_sec;
+  utimestamp = tv.tv_usec;
 
+  /*  Changed function to use gettimeofday() need usec value for ISO8601 file names
+   *  RAC 5/6/09
+   *  timestamp = time(NULL);
+   */
 }
 
 /**
@@ -747,15 +756,15 @@ void set_timestamp() {
  * @return  timestamp
  */
 time_t get_timestamp() {
-	return timestamp;
+  return timestamp;
 }
 
 /**
  * Return the previously recorded utimestamp.
  * @return The utimestamp
  */
-long int get_utimestamp() {
-	return utimestamp;
+int64_t get_utimestamp() {
+  return utimestamp;
 }
 
 /**
@@ -765,15 +774,14 @@ long int get_utimestamp() {
  */
 
 void get_YYYY(char *year, size_t year_strlen) {
+  struct tm *result;
+  time_t now;
 
-	struct tm *result;
-	time_t now;
+  setenv("TZ", "UTC", 0);
+  now = get_timestamp();
+  result = gmtime(&now);
 
-	setenv("TZ", "UTC", 0);
-	now = get_timestamp();
-	result = gmtime(&now);
-
-	snprintf(year, year_strlen, "%d", 1900 + result->tm_year);
+  snprintf(year, year_strlen, "%d", 1900 + result->tm_year);
 }
 
 /**
@@ -783,19 +791,18 @@ void get_YYYY(char *year, size_t year_strlen) {
  */
 
 void get_MM(char *month, size_t month_strlen) {
-
-	struct tm *result;
-	time_t now;
-
-	/* setenv("TZ", NULL, 0); */
-	setenv("TZ", "UTC", 0);
-	now = get_timestamp();
-	result = gmtime(&now);
-
-	if (1 + result->tm_mon < 10)
-		snprintf(month, month_strlen, "0%d", 1 + result->tm_mon);
-	else
-		snprintf(month, month_strlen, "%d", 1 + result->tm_mon);
+  struct tm *result;
+  time_t now;
+
+  /* setenv("TZ", NULL, 0); */
+  setenv("TZ", "UTC", 0);
+  now = get_timestamp();
+  result = gmtime(&now);
+
+  if (1 + result->tm_mon < 10)
+    snprintf(month, month_strlen, "0%d", 1 + result->tm_mon);
+  else
+    snprintf(month, month_strlen, "%d", 1 + result->tm_mon);
 }
 
 /**
@@ -805,17 +812,16 @@ void get_MM(char *month, size_t month_strlen) {
  */
 
 void get_DD(char *day, size_t day_strlen) {
-
-	struct tm *result;
-	time_t now;
-	setenv("TZ", "UTC", 0);
-	now = get_timestamp();
-	result = gmtime(&now);
-
-	if (result->tm_mday < 10)
-		snprintf(day, day_strlen, "0%d", result->tm_mday);
-	else
-		snprintf(day, day_strlen, "%d", result->tm_mday);
+  struct tm *result;
+  time_t now;
+  setenv("TZ", "UTC", 0);
+  now = get_timestamp();
+  result = gmtime(&now);
+
+  if (result->tm_mday < 10)
+    snprintf(day, day_strlen, "0%d", result->tm_mday);
+  else
+    snprintf(day, day_strlen, "%d", result->tm_mday);
 }
 
 
@@ -828,48 +834,48 @@ void get_DD(char *day, size_t day_strlen) {
  */
 
 char *fill_ISOtime(struct tm *result, char *isoTime, int isotimearrsize) {
-	char tmpstr[16];
+  char tmpstr[16];
 
-	snprintf(isoTime, isotimearrsize, "%d", 1900 + result->tm_year);
-	if (1 + result->tm_mon < 10)
-		snprintf(tmpstr, sizeof(tmpstr), "0%d", 1 + result->tm_mon);
-	else
-		snprintf(tmpstr, sizeof(tmpstr), "%d", 1 + result->tm_mon);
+  snprintf(isoTime, isotimearrsize, "%d", 1900 + result->tm_year);
+  if (1 + result->tm_mon < 10)
+    snprintf(tmpstr, sizeof(tmpstr), "0%d", 1 + result->tm_mon);
+  else
+    snprintf(tmpstr, sizeof(tmpstr), "%d", 1 + result->tm_mon);
 
-	strlcat(isoTime, tmpstr, isotimearrsize);
+  strlcat(isoTime, tmpstr, isotimearrsize);
 
-	if (result->tm_mday < 10)
-		snprintf(tmpstr, sizeof(tmpstr), "0%d", result->tm_mday);
-	else
-		snprintf(tmpstr, sizeof(tmpstr), "%d", result->tm_mday);
+  if (result->tm_mday < 10)
+    snprintf(tmpstr, sizeof(tmpstr), "0%d", result->tm_mday);
+  else
+    snprintf(tmpstr, sizeof(tmpstr), "%d", result->tm_mday);
 
-	strlcat(isoTime, tmpstr, isotimearrsize);
+  strlcat(isoTime, tmpstr, isotimearrsize);
 
-	if (result->tm_hour < 10)
-		snprintf(tmpstr, sizeof(tmpstr), "T0%d", result->tm_hour);
-	else
-		snprintf(tmpstr, sizeof(tmpstr), "T%d", result->tm_hour);
+  if (result->tm_hour < 10)
+    snprintf(tmpstr, sizeof(tmpstr), "T0%d", result->tm_hour);
+  else
+    snprintf(tmpstr, sizeof(tmpstr), "T%d", result->tm_hour);
 
-	strlcat(isoTime, tmpstr, isotimearrsize);
+  strlcat(isoTime, tmpstr, isotimearrsize);
 
-	if (result->tm_min < 10)
-		snprintf(tmpstr, sizeof(tmpstr), ":0%d", result->tm_min);
-	else
-		snprintf(tmpstr, sizeof(tmpstr), ":%d", result->tm_min);
+  if (result->tm_min < 10)
+    snprintf(tmpstr, sizeof(tmpstr), ":0%d", result->tm_min);
+  else
+    snprintf(tmpstr, sizeof(tmpstr), ":%d", result->tm_min);
 
-	strlcat(isoTime, tmpstr, isotimearrsize);
+  strlcat(isoTime, tmpstr, isotimearrsize);
 
-	if (result->tm_sec < 10)
-		snprintf(tmpstr, sizeof(tmpstr), ":0%d", result->tm_sec);
-	else
-		snprintf(tmpstr, sizeof(tmpstr), ":%d", result->tm_sec);
+  if (result->tm_sec < 10)
+    snprintf(tmpstr, sizeof(tmpstr), ":0%d", result->tm_sec);
+  else
+    snprintf(tmpstr, sizeof(tmpstr), ":%d", result->tm_sec);
 
-	strlcat(isoTime, tmpstr, isotimearrsize);
+  strlcat(isoTime, tmpstr, isotimearrsize);
 
-	snprintf(tmpstr, sizeof(tmpstr), ".%ldZ", get_utimestamp() * 1000);
+  snprintf(tmpstr, sizeof(tmpstr), ".%ldZ", get_utimestamp() * 1000);
 
-	strlcat(isoTime, tmpstr, isotimearrsize);
-	return isoTime;
+  strlcat(isoTime, tmpstr, isotimearrsize);
+  return isoTime;
 }
 
 /**
@@ -879,15 +885,15 @@ char *fill_ISOtime(struct tm *result, char *isoTime, int isotimearrsize) {
  * @return current time string
  */
 char *get_currenttime(char *isoTime, int isotimearrsize) {
-	time_t rawtime;
-	struct tm *result;
-	time_t rc;
-	rc = time(&rawtime);
-	if(rc!=-1) {
-		result = gmtime(&rawtime);
-		return (fill_ISOtime(result, isoTime, isotimearrsize));
-	}
-	return NULL;
+  time_t rawtime;
+  struct tm *result;
+  time_t rc;
+  rc = time(&rawtime);
+  if (rc != -1) {
+    result = gmtime(&rawtime);
+    return (fill_ISOtime(result, isoTime, isotimearrsize));
+  }
+  return NULL;
 }
 
 
@@ -898,17 +904,15 @@ char *get_currenttime(char *isoTime, int isotimearrsize) {
  * @param Pointer to the string indicating ISO time
  * @param character string with ISO time string.
  */
-char *
-get_ISOtime(char *isoTime, int isotimearrsize) {
+char * get_ISOtime(char *isoTime, int isotimearrsize) {
+  struct tm *result;
+  time_t now;
 
-	struct tm *result;
-	time_t now;
+  setenv("TZ", "UTC", 0);
+  now = get_timestamp();
+  result = gmtime(&now);
 
-	setenv("TZ", "UTC", 0);
-	now = get_timestamp();
-	result = gmtime(&now);
-
-	return (fill_ISOtime(result, isoTime, isotimearrsize));
+  return (fill_ISOtime(result, isoTime, isotimearrsize));
 }
 /**
  * Write meta data out to log file.  This file contains details and
@@ -923,157 +927,160 @@ get_ISOtime(char *isoTime, int isotimearrsize) {
  */
 
 void writeMeta(int compress, int cputime, int snaplog, int tcpdump) {
-	FILE * fp;
-	char tmpstr[256];
-	//char dir[128];
-	char dirpathstr[256]="";
-	char *tempptr;
-	int ptrdiff=0;
-
-	//char isoTime[64];
-	char filename[256];
-	size_t tmpstrlen = sizeof(tmpstr);
-	socklen_t len;
-	//DIR *dp;
-	char metafilesuffix[256] = "meta";
-
-	/* Get the clients domain name and same in metadata file
-	 * changed to use getnameinfo 7/24/09
-	 * RAC 7/7/09
-	 */
-
-	// get socketaddr size based on whether IPv6/IPV4 address was used
+  FILE * fp;
+  char tmpstr[256];
+  // char dir[128];
+  char dirpathstr[256]="";
+  char *tempptr;
+  int ptrdiff = 0;
+
+  // char isoTime[64];
+  char filename[256];
+  size_t tmpstrlen = sizeof(tmpstr);
+  socklen_t len;
+  // DIR *dp;
+  char metafilesuffix[256] = "meta";
+
+  /* Get the clients domain name and same in metadata file
+   * changed to use getnameinfo 7/24/09
+   * RAC 7/7/09
+   */
+
+  // get socketaddr size based on whether IPv6/IPV4 address was used
 #ifdef AF_INET6
-	if (meta.family == AF_INET6)
-		len = sizeof(struct sockaddr_in6);
+  if (meta.family == AF_INET6)
+    len = sizeof(struct sockaddr_in6);
 #endif
-	if (meta.family == AF_INET)
-		len = sizeof(struct sockaddr_in);
-
-	// Look up the host name and service name information for given struct sockaddress and length
-	if (getnameinfo((struct sockaddr *) &meta.c_addr, len, tmpstr, tmpstrlen,
-			NULL, 0, NI_NAMEREQD)) {
-		// No fully qualified domain name
-		memcpy(meta.client_name, "No FQDN name", 12);
-	} else {
-		// copy client's hostname into meta structure
-		log_println(2, "extracting hostname %s", tmpstr);
-		memcpy(meta.client_name, tmpstr, strlen(tmpstr));
-	}
-
-	// reset tmpstr
-	memset(tmpstr, 0, tmpstrlen);
-
-	// Create metadata file
-	create_client_logdir((struct sockaddr *) &meta.c_addr, len, tmpstr,
-			sizeof(tmpstr), metafilesuffix, sizeof(metafilesuffix));
-
-	log_println(6, "Should compress snaplog and tcpdump files compress=%d",
-			compress);
-	/* #ifdef HAVE_ZLIB_H */
-
-	// If compression is enabled, compress files in the "log" directory
-	if (compress == 1) {
-		// Get directory/path
-		tempptr = strstr(tmpstr, metafilesuffix);
-		if (tempptr != NULL) {
-			ptrdiff = tempptr - tmpstr;
-			strlcpy(dirpathstr, tmpstr, ptrdiff);
-		} //obtained directory in "dirpathstr"
-		log_println(5,
-				"Compression is enabled, compress all files in '%s' basedir",
-				dirpathstr);
-		if (snaplog) { // if snaplog is enabled, compress those into .gz formats
-
-			// Try compressing C->S test snaplogs
-			memset(filename, 0, sizeof(filename));
-			snprintf(filename, sizeof(filename), "%s/%s", dirpathstr, meta.c2s_snaplog);
-			if (zlib_def(filename) != 0)
-				log_println(0, "compression failed for file:%s: %s.", filename,
-						dirpathstr);
-			else
-				strlcat(meta.c2s_snaplog, ".gz", sizeof(meta.c2s_snaplog));
-
-			// Try compressing S->C test snaplogs
-			memset(filename, 0, sizeof(filename));
-			snprintf(filename, sizeof(filename), "%s/%s", dirpathstr, meta.s2c_snaplog);
-			if (zlib_def(filename) != 0)
-				log_println(0, "compression failed for file :%s", filename);
-			else
-				strlcat(meta.s2c_snaplog, ".gz", sizeof(meta.s2c_snaplog));
-		}
-
-		// If tcpdump file writing is enabled, compress those
-		if (tcpdump) {
-
-			// Try compressing C->S test tcpdump.
-			// The tcpdump file extension is as specified in the "meta" data-structure
-			memset(filename, 0, sizeof(filename));
-			snprintf(filename, sizeof(filename), "%s/%s", dirpathstr, meta.c2s_ndttrace);
-			if (zlib_def(filename) != 0)
-				log_println(0, "compression failed for tcpdump file %s =%s",
-						filename, meta.c2s_ndttrace);
-			else
-				strlcat(meta.c2s_ndttrace, ".gz", sizeof(meta.c2s_ndttrace));
-
-			// Try compressing S->C test tcpdumps
-			memset(filename, 0, sizeof(filename));
-			snprintf(filename, sizeof(filename), "%s/%s", dirpathstr, meta.s2c_ndttrace);
-			if (zlib_def(filename) != 0)
-				log_println(0, "compression failed for tcpdump file %s =%s",
-						filename, meta.s2c_ndttrace);
-			else
-				strlcat(meta.s2c_ndttrace, ".gz", sizeof(meta.s2c_ndttrace));
-		}
-
-		// If writing "cputime" file is enabled, compress those log files too
-		if (cputime) {
-			memset(filename, 0, sizeof(filename));
-			snprintf(filename, sizeof(filename), "%s/%s", dirpathstr, meta.CPU_time);
-			if (zlib_def(filename) != 0)
-				log_println(0, "compression failed");
-			else
-				strlcat(meta.CPU_time, ".gz", sizeof(meta.CPU_time));
-		} else
-			log_println(
-					5,
-					"Zlib compression disabled, log files will not be compressed in %s", tmpstr);
-	}
-	/* #endif */
-
-	// Try logging metadata into the metadata logfile
-	fp = fopen(tmpstr, "w");
-	if (fp == NULL) { // error, unable to open file in write mode
-		log_println(
-				1,
-				"Unable to open metadata log file, continuing on without logging");
-	} else {
-		log_println(5, "Opened '%s' metadata log file", tmpstr);
-		fprintf(fp, "Date/Time: %s\n", meta.date);
-		fprintf(fp, "c2s_snaplog file: %s\n", meta.c2s_snaplog);
-		fprintf(fp, "c2s_ndttrace file: %s\n", meta.c2s_ndttrace);
-		fprintf(fp, "s2c_snaplog file: %s\n", meta.s2c_snaplog);
-		fprintf(fp, "s2c_ndttrace file: %s\n", meta.s2c_ndttrace);
-		fprintf(fp, "cputime file: %s\n", meta.CPU_time);
-		fprintf(fp, "server IP address: %s\n", meta.server_ip);
-		fprintf(fp, "server hostname: %s\n", meta.server_name);
-		fprintf(fp, "server kernel version: %s\n", meta.server_os);
-		fprintf(fp, "client IP address: %s\n", meta.client_ip);
-		fprintf(fp, "client hostname: %s\n", meta.client_name);
-		fprintf(fp, "client OS name: %s\n", meta.client_os);
-		fprintf(fp, "client_browser name: %s\n", meta.client_browser);
-                fprintf(fp, "client_application name: %s\n", meta.client_application);
-		fprintf(fp, "Summary data: %s\n", meta.summary);
-		if (meta.additional) {
-			fprintf(fp, " * Additional data:\n");
-			struct metaentry* entry = meta.additional;
-			while (entry) {
-				fprintf(fp, "%s: %s\n", entry->key, entry->value);
-				entry = entry->next;
-			}
-		}
-		fclose(fp);
-	}
+  if (meta.family == AF_INET)
+    len = sizeof(struct sockaddr_in);
+
+  // Look up the host name and service name information for given struct
+  // sockaddress and length
+  if (getnameinfo((struct sockaddr *) &meta.c_addr, len, tmpstr, tmpstrlen,
+                  NULL, 0, NI_NAMEREQD)) {
+    // No fully qualified domain name
+    memcpy(meta.client_name, "No FQDN name", 12);
+  } else {
+    // copy client's hostname into meta structure
+    log_println(2, "extracting hostname %s", tmpstr);
+    memcpy(meta.client_name, tmpstr, strlen(tmpstr));
+  }
+
+  // reset tmpstr
+  memset(tmpstr, 0, tmpstrlen);
+
+  // Create metadata file
+  create_client_logdir((struct sockaddr *) &meta.c_addr, len, tmpstr,
+                       sizeof(tmpstr), metafilesuffix, sizeof(metafilesuffix));
+
+  log_println(6, "Should compress snaplog and tcpdump files compress=%d",
+              compress);
+  /* #ifdef HAVE_ZLIB_H */
+
+  // If compression is enabled, compress files in the "log" directory
+  if (compress == 1) {
+    // Get directory/path
+    tempptr = strstr(tmpstr, metafilesuffix);
+    if (tempptr != NULL) {
+      ptrdiff = tempptr - tmpstr;
+      strlcpy(dirpathstr, tmpstr, ptrdiff);
+    }  // obtained directory in "dirpathstr"
+    log_println(5,
+                "Compression is enabled, compress all files in '%s' basedir",
+                dirpathstr);
+    if (snaplog) {  // if snaplog is enabled, compress those into .gz formats
+      // Try compressing C->S test snaplogs
+      memset(filename, 0, sizeof(filename));
+      snprintf(filename, sizeof(filename), "%s/%s", dirpathstr,
+               meta.c2s_snaplog);
+      if (zlib_def(filename) != 0)
+        log_println(0, "compression failed for file:%s: %s.", filename,
+                    dirpathstr);
+      else
+        strlcat(meta.c2s_snaplog, ".gz", sizeof(meta.c2s_snaplog));
+
+      // Try compressing S->C test snaplogs
+      memset(filename, 0, sizeof(filename));
+      snprintf(filename, sizeof(filename), "%s/%s", dirpathstr,
+               meta.s2c_snaplog);
+      if (zlib_def(filename) != 0)
+        log_println(0, "compression failed for file :%s", filename);
+      else
+        strlcat(meta.s2c_snaplog, ".gz", sizeof(meta.s2c_snaplog));
+    }
+
+    // If tcpdump file writing is enabled, compress those
+    if (tcpdump) {
+      // Try compressing C->S test tcpdump.
+      // The tcpdump file extension is as specified in the "meta" data-structure
+      memset(filename, 0, sizeof(filename));
+      snprintf(filename, sizeof(filename), "%s/%s", dirpathstr,
+               meta.c2s_ndttrace);
+      if (zlib_def(filename) != 0)
+        log_println(0, "compression failed for tcpdump file %s =%s",
+                    filename, meta.c2s_ndttrace);
+      else
+        strlcat(meta.c2s_ndttrace, ".gz", sizeof(meta.c2s_ndttrace));
+
+      // Try compressing S->C test tcpdumps
+      memset(filename, 0, sizeof(filename));
+      snprintf(filename, sizeof(filename), "%s/%s", dirpathstr,
+               meta.s2c_ndttrace);
+      if (zlib_def(filename) != 0)
+        log_println(0, "compression failed for tcpdump file %s =%s",
+                    filename, meta.s2c_ndttrace);
+      else
+        strlcat(meta.s2c_ndttrace, ".gz", sizeof(meta.s2c_ndttrace));
+    }
+
+    // If writing "cputime" file is enabled, compress those log files too
+    if (cputime) {
+      memset(filename, 0, sizeof(filename));
+      snprintf(filename, sizeof(filename), "%s/%s", dirpathstr, meta.CPU_time);
+      if (zlib_def(filename) != 0)
+        log_println(0, "compression failed");
+      else
+        strlcat(meta.CPU_time, ".gz", sizeof(meta.CPU_time));
+    } else {
+      log_println(5, "Zlib compression disabled, log files will not be "
+                  "compressed in %s", tmpstr);
+    }
+  }
+  /* #endif */
+
+  // Try logging metadata into the metadata logfile
+  fp = fopen(tmpstr, "w");
+  if (fp == NULL) {  // error, unable to open file in write mode
+    log_println(
+        1,
+        "Unable to open metadata log file, continuing on without logging");
+  } else {
+    log_println(5, "Opened '%s' metadata log file", tmpstr);
+    fprintf(fp, "Date/Time: %s\n", meta.date);
+    fprintf(fp, "c2s_snaplog file: %s\n", meta.c2s_snaplog);
+    fprintf(fp, "c2s_ndttrace file: %s\n", meta.c2s_ndttrace);
+    fprintf(fp, "s2c_snaplog file: %s\n", meta.s2c_snaplog);
+    fprintf(fp, "s2c_ndttrace file: %s\n", meta.s2c_ndttrace);
+    fprintf(fp, "cputime file: %s\n", meta.CPU_time);
+    fprintf(fp, "server IP address: %s\n", meta.server_ip);
+    fprintf(fp, "server hostname: %s\n", meta.server_name);
+    fprintf(fp, "server kernel version: %s\n", meta.server_os);
+    fprintf(fp, "client IP address: %s\n", meta.client_ip);
+    fprintf(fp, "client hostname: %s\n", meta.client_name);
+    fprintf(fp, "client OS name: %s\n", meta.client_os);
+    fprintf(fp, "client_browser name: %s\n", meta.client_browser);
+    fprintf(fp, "client_application name: %s\n", meta.client_application);
+    fprintf(fp, "Summary data: %s\n", meta.summary);
+    if (meta.additional) {
+      fprintf(fp, " * Additional data:\n");
+      struct metaentry* entry = meta.additional;
+      while (entry) {
+        fprintf(fp, "%s: %s\n", entry->key, entry->value);
+        entry = entry->next;
+      }
+    }
+    fclose(fp);
+  }
 }
 
 /** Create directories for snap/tcp trace log files, and meta files.
@@ -1092,47 +1099,46 @@ void writeMeta(int compress, int cputime, int snaplog, int tcpdump) {
  *
  */
 void create_named_logdir(char *dirnamedestarg, int destnamearrsize,
-		char *finalsuffix, char isProtoLog) {
-
-	//char namebuf[256];
-	//size_t namebuflen = 255;
-	char dir[128];
-	DIR *dp;
-	if ( !isProtoLog ) {
-		strlcpy(dirnamedestarg, DataDirName, destnamearrsize);
-		strlcat(dirnamedestarg, "/", destnamearrsize);
-		log_println(5, "DirNAME=%s", DataDirName);
-	}
-	if ((dp = opendir(dirnamedestarg)) == NULL && errno == ENOENT)
-		mkdir(dirnamedestarg, 0755);
-	closedir(dp);
-	get_YYYY(dir, sizeof(dir));
-
-	strlcat(dirnamedestarg, dir, destnamearrsize);
-	if ((dp = opendir(dirnamedestarg)) == NULL && errno == ENOENT)
-		mkdir(dirnamedestarg, 0755);
-	closedir(dp);
-
-	strlcat(dirnamedestarg, "/", destnamearrsize);
-	get_MM(dir, sizeof(dir));
-
-	strlcat(dirnamedestarg, dir, destnamearrsize);
-	if ((dp = opendir(dirnamedestarg)) == NULL && errno == ENOENT)
-		mkdir(dirnamedestarg, 0755);
-	closedir(dp);
-
-	strlcat(dirnamedestarg, "/", destnamearrsize);
-	get_DD(dir, sizeof(dir));
-
-	strlcat(dirnamedestarg, dir, destnamearrsize);
-	if ((dp = opendir(dirnamedestarg)) == NULL && errno == ENOENT)
-		mkdir(dirnamedestarg, 0755);
-	closedir(dp);
-
-	strlcat(dirnamedestarg, "/", destnamearrsize);
-	snprintf(dir, sizeof(dir), "%s", finalsuffix);
-	strlcat(dirnamedestarg, dir, destnamearrsize);
-	log_println(5, "end named_log_create %s", dirnamedestarg);
+                         char *finalsuffix, char isProtoLog) {
+  // char namebuf[256];
+  // size_t namebuflen = 255;
+  char dir[128];
+  DIR *dp;
+  if ( !isProtoLog ) {
+    strlcpy(dirnamedestarg, DataDirName, destnamearrsize);
+    strlcat(dirnamedestarg, "/", destnamearrsize);
+    log_println(5, "DirNAME=%s", DataDirName);
+  }
+  if ((dp = opendir(dirnamedestarg)) == NULL && errno == ENOENT)
+    mkdir(dirnamedestarg, 0755);
+  closedir(dp);
+  get_YYYY(dir, sizeof(dir));
+
+  strlcat(dirnamedestarg, dir, destnamearrsize);
+  if ((dp = opendir(dirnamedestarg)) == NULL && errno == ENOENT)
+    mkdir(dirnamedestarg, 0755);
+  closedir(dp);
+
+  strlcat(dirnamedestarg, "/", destnamearrsize);
+  get_MM(dir, sizeof(dir));
+
+  strlcat(dirnamedestarg, dir, destnamearrsize);
+  if ((dp = opendir(dirnamedestarg)) == NULL && errno == ENOENT)
+    mkdir(dirnamedestarg, 0755);
+  closedir(dp);
+
+  strlcat(dirnamedestarg, "/", destnamearrsize);
+  get_DD(dir, sizeof(dir));
+
+  strlcat(dirnamedestarg, dir, destnamearrsize);
+  if ((dp = opendir(dirnamedestarg)) == NULL && errno == ENOENT)
+    mkdir(dirnamedestarg, 0755);
+  closedir(dp);
+
+  strlcat(dirnamedestarg, "/", destnamearrsize);
+  snprintf(dir, sizeof(dir), "%s", finalsuffix);
+  strlcat(dirnamedestarg, dir, destnamearrsize);
+  log_println(5, "end named_log_create %s", dirnamedestarg);
 }
 
 /** Create directories for snap/tcp trace log files, and meta files.
@@ -1147,28 +1153,28 @@ void create_named_logdir(char *dirnamedestarg, int destnamearrsize,
  * @param finalsuffixsize        string constant suffix indicating C2S/S2c etc
  */
 void create_client_logdir(struct sockaddr *cliaddrarg, socklen_t clilenarg,
-		char *dirnamedestarg, int destnamearrsize, char *finalsuffix,
-		int finalsuffixsize) {
-	char namebuf[256];
-	size_t namebuflen = 255;
-	char dir[128];
-	char isoTime[64];
-	int socketaddrport;
-
-	I2Addr sockAddr = I2AddrBySAddr(get_errhandle(), cliaddrarg, clilenarg, 0,
-			0);
-	memset(namebuf, 0, 256);
-	I2AddrNodeName(sockAddr, namebuf, &namebuflen);
-	socketaddrport = I2AddrPort(sockAddr);
-
-	snprintf(dir, sizeof(dir), "%s_%s:%d.%s", get_ISOtime(isoTime, sizeof(isoTime)), namebuf,
-			socketaddrport, finalsuffix);
-	strlcpy(finalsuffix, dir, finalsuffixsize);
-
-	create_named_logdir(dirnamedestarg, destnamearrsize, finalsuffix, 0);
-
-	I2AddrFree(sockAddr);
-
+                          char *dirnamedestarg, int destnamearrsize,
+                          char *finalsuffix, int finalsuffixsize) {
+  char namebuf[256];
+  size_t namebuflen = 255;
+  char dir[128];
+  char isoTime[64];
+  int socketaddrport;
+
+  I2Addr sockAddr = I2AddrBySAddr(get_errhandle(), cliaddrarg, clilenarg, 0,
+                                  0);
+  memset(namebuf, 0, 256);
+  I2AddrNodeName(sockAddr, namebuf, &namebuflen);
+  socketaddrport = I2AddrPort(sockAddr);
+
+  snprintf(dir, sizeof(dir), "%s_%s:%d.%s",
+           get_ISOtime(isoTime, sizeof(isoTime)), namebuf,
+           socketaddrport, finalsuffix);
+  strlcpy(finalsuffix, dir, finalsuffixsize);
+
+  create_named_logdir(dirnamedestarg, destnamearrsize, finalsuffix, 0);
+
+  I2AddrFree(sockAddr);
 }
 
 /**
@@ -1178,42 +1184,42 @@ void create_client_logdir(struct sockaddr *cliaddrarg, socklen_t clilenarg,
  *
  */
 void log_linkspeed(int index) {
-	switch (index) {
-	case DATA_RATE_SYSTEM_FAULT:
-		log_println(1, "System Fault");
-		break;
-	case DATA_RATE_RTT:
-		log_println(1, "RTT");
-		break;
-	case DATA_RATE_DIAL_UP:
-		log_println(1, "Dial-up");
-		break;
-	case DATA_RATE_T1:
-		log_println(1, "T1");
-		break;
-	case DATA_RATE_ETHERNET:
-		log_println(1, "Ethernet");
-		break;
-	case DATA_RATE_T3:
-		log_println(1, "T3");
-		break;
-	case DATA_RATE_FAST_ETHERNET:
-		log_println(1, "FastEthernet");
-		break;
-	case DATA_RATE_OC_12:
-		log_println(1, "OC-12");
-		break;
-	case DATA_RATE_GIGABIT_ETHERNET:
-		log_println(1, "Gigabit Ethernet");
-		break;
-	case DATA_RATE_OC_48:
-		log_println(1, "OC-48");
-		break;
-	case DATA_RATE_10G_ETHERNET:
-		log_println(1, "10 Gigabit Enet");
-		break;
-	case DATA_RATE_RETRANSMISSIONS:
-		log_println(1, "Retransmissions");
-		break;
-	}
+  switch (index) {
+    case DATA_RATE_SYSTEM_FAULT:
+      log_println(1, "System Fault");
+      break;
+    case DATA_RATE_RTT:
+      log_println(1, "RTT");
+      break;
+    case DATA_RATE_DIAL_UP:
+      log_println(1, "Dial-up");
+      break;
+    case DATA_RATE_T1:
+      log_println(1, "T1");
+      break;
+    case DATA_RATE_ETHERNET:
+      log_println(1, "Ethernet");
+      break;
+    case DATA_RATE_T3:
+      log_println(1, "T3");
+      break;
+    case DATA_RATE_FAST_ETHERNET:
+      log_println(1, "FastEthernet");
+      break;
+    case DATA_RATE_OC_12:
+      log_println(1, "OC-12");
+      break;
+    case DATA_RATE_GIGABIT_ETHERNET:
+      log_println(1, "Gigabit Ethernet");
+      break;
+    case DATA_RATE_OC_48:
+      log_println(1, "OC-48");
+      break;
+    case DATA_RATE_10G_ETHERNET:
+      log_println(1, "10 Gigabit Enet");
+      break;
+    case DATA_RATE_RETRANSMISSIONS:
+      log_println(1, "Retransmissions");
+      break;
+  }
 }
diff --git a/src/mrange.c b/src/mrange.c
index 7446c79..e2673c3 100644
--- a/src/mrange.c
+++ b/src/mrange.c
@@ -10,14 +10,14 @@
 #include <assert.h>
 #include <string.h>
 
-#include "utils.h"
-#include "logging.h"
-#include "strlutils.h"
+#include "./utils.h"
+#include "./logging.h"
+#include "./strlutils.h"
 
 typedef struct range {
-	int min; /**< lower end of the range */
-	int max; /**< upper end of the range */
-	struct range *next; /**< pointer to the next range member */
+  int min; /**< lower end of the range */
+  int max; /**< upper end of the range */
+  struct range *next; /**< pointer to the next range member */
 } Range;
 
 static Range* mrange_root;
@@ -32,61 +32,61 @@ static Range* mrange_root;
  */
 
 int mrange_parse(char* text) {
-	char tmp[300];
-	char* ptr, *sptr;
-	Range* mr_ptr = NULL;
+  char tmp[300];
+  char* ptr, *sptr;
+  Range* mr_ptr = NULL;
 
-	assert(text);
+  assert(text);
 
-	memset(tmp, 0, 300);
-	if (strlen(text) > 299) {
-		return 1;
-	}
-	//strcpy(tmp, text);
-	strlcpy(tmp, text, sizeof(tmp));
-	// tokenize based on a "," character.
-	// An example of the string : 2003:3000,4000:5000
-	ptr = strtok(tmp, ",");
-	while (ptr != NULL) { // tokens found
-		if ((sptr = strchr(ptr, ':')) != NULL) { // also found a ":" character,
-												 // with sptr pointing to its location
-			*sptr++ = 0;
-			if (strchr(sptr, ':') != NULL) { // should not find any more range
-				return 1;
-			}
-		} else {
-			sptr = ptr;
-		}
-		if ((mr_ptr = malloc(sizeof(Range))) == NULL) {
-			log_println(0, "FATAL: cannot allocate memory");
-			return 1;
-		}
-		if (*ptr == 0) {
-			ptr = "1";
-		}
-		// Check if the input string is within range and store
-		// result as "minimum"
-		// For ex: Is 2003 in a string like "2003:4000" within integer range ?
-		// If not, free the memory allocated to store the range and return
-		if (check_rint(ptr, &mr_ptr->min, 1, MAX_TCP_PORT)) {
-			free(mr_ptr);
-			return 1;
-		}
-		if (*sptr == 0) {
-			sptr = MAX_TCP_PORT_STR;
-		}
-		// now validate if "maximum" is within range  and store
-		// result as "maximum"
-		if (check_rint(sptr, &mr_ptr->max, 1, MAX_TCP_PORT)) {
-			free(mr_ptr);
-			return 1; // if invalid range, free allocated memory and return
-		}
-		mr_ptr->next = mrange_root;
-		mrange_root = mr_ptr; // ready to point to next member
-		ptr = strtok(NULL, ",");
-	}
-	free(mr_ptr);
-	return 0;
+  memset(tmp, 0, 300);
+  if (strlen(text) > 299) {
+    return 1;
+  }
+  // strcpy(tmp, text);
+  strlcpy(tmp, text, sizeof(tmp));
+  // tokenize based on a "," character.
+  // An example of the string : 2003:3000,4000:5000
+  ptr = strtok(tmp, ",");
+  while (ptr != NULL) {  // tokens found
+    if ((sptr = strchr(ptr, ':')) != NULL) {  // also found a ":" character,
+      // with sptr pointing to its location
+      *sptr++ = 0;
+      if (strchr(sptr, ':') != NULL) {  // should not find any more range
+        return 1;
+      }
+    } else {
+      sptr = ptr;
+    }
+    if ((mr_ptr = malloc(sizeof(Range))) == NULL) {
+      log_println(0, "FATAL: cannot allocate memory");
+      return 1;
+    }
+    if (*ptr == 0) {
+      ptr = "1";
+    }
+    // Check if the input string is within range and store
+    // result as "minimum"
+    // For ex: Is 2003 in a string like "2003:4000" within integer range ?
+    // If not, free the memory allocated to store the range and return
+    if (check_rint(ptr, &mr_ptr->min, 1, MAX_TCP_PORT)) {
+      free(mr_ptr);
+      return 1;
+    }
+    if (*sptr == 0) {
+      sptr = MAX_TCP_PORT_STR;
+    }
+    // now validate if "maximum" is within range  and store
+    // result as "maximum"
+    if (check_rint(sptr, &mr_ptr->max, 1, MAX_TCP_PORT)) {
+      free(mr_ptr);
+      return 1;  // if invalid range, free allocated memory and return
+    }
+    mr_ptr->next = mrange_root;
+    mrange_root = mr_ptr;  // ready to point to next member
+    ptr = strtok(NULL, ",");
+  }
+  free(mr_ptr);
+  return 0;
 }
 
 /**
@@ -102,29 +102,29 @@ int mrange_parse(char* text) {
 
 char*
 mrange_next(char* port, size_t port_strlen) {
-	int val;
-	Range* ptr;
+  int val;
+  Range* ptr;
 
-	assert(port);
+  assert(port);
 
-	if (check_rint(port, &val, 0, MAX_TCP_PORT)) { // check if valid
-		log_println(0, "WARNING: invalid port number");
-		snprintf(port, port_strlen, RESERVED_PORT);
-		return port;
-	}
-	val++;
-	while (val <= MAX_TCP_PORT) { // Maximum port number not exceeded
-		ptr = mrange_root;
-		while (ptr != NULL) { // While there is some data
-			if ((val >= ptr->min) && (val <= ptr->max)) { // check range
-														  // and return port if valid
-				snprintf(port, port_strlen, "%d", val);
-				return port;
-			}
-			ptr = ptr->next;
-		}
-		val++;
-	}
-	snprintf(port, port_strlen, RESERVED_PORT);
-	return port;
+  if (check_rint(port, &val, 0, MAX_TCP_PORT)) {  // check if valid
+    log_println(0, "WARNING: invalid port number");
+    snprintf(port, port_strlen, RESERVED_PORT);
+    return port;
+  }
+  val++;
+  while (val <= MAX_TCP_PORT) {  // Maximum port number not exceeded
+    ptr = mrange_root;
+    while (ptr != NULL) {  // While there is some data
+      if ((val >= ptr->min) && (val <= ptr->max)) {  // check range
+        // and return port if valid
+        snprintf(port, port_strlen, "%d", val);
+        return port;
+      }
+      ptr = ptr->next;
+    }
+    val++;
+  }
+  snprintf(port, port_strlen, RESERVED_PORT);
+  return port;
 }
